/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


$("#btnTitulacionCambiarCosto").click(function () {
    validarMontoTitulacion();
});

$("#btnModCerrarCambiarCostoTitulacion").click(function () {
    location.reload();
});

function validarMontoTitulacion() {
    var ideAlu = $("#idAlu").val();
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/updateMontoActualizacion',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideAlu: ideAlu},
        // especifica si será una petición POST o GET
        type: 'GET',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("contenedorCostoTitulacionActual").innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("contenedorCostoTitulacionActual").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            document.getElementById("contenedorCostoTitulacionActual").innerHTML = "Error al interpretar datos";
            alert('Disculpe, existió un problema');
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}

function modificarCostoTitulacionDirecta() {
    var ideAlu = $("#idAlu").val();
    var montoTitulacionNuevo = $("#costoTitulacionNuevo").val();
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/updateMontoActualizacion',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideAlu: ideAlu,monto : montoTitulacionNuevo},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("contenedorCostoTitulacionActual").innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("contenedorCostoTitulacionActual").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            document.getElementById("contenedorCostoTitulacionActual").innerHTML = "Error al interpretar datos";
            alert('Disculpe, existió un problema');
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}